* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html, body {
    height: 100%;
    width: 100%;
    overflow: hidden; /* Empêche les ascenseurs */
    font-family: 'Cantarell', sans-serif;
}

#main {
    display: flex;
    width: 100%;
    height: calc(100% - 25px); /* Tout l'espace sauf la toolbar */
    overflow: hidden; /* Empêche le débordement */
}

.panel {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    cursor: pointer;
    transition: width 0.3s, visibility 0.3s;
    position: relative;
}

.panel .content {
    visibility: visible;
    transition: visibility 0.3s;
}

#tableau {
    background-color: lightgray;
    width: 33%;
    height: 100%;
    overflow: auto; /* barre de défilement si nécessaire */
    padding: 10px;
}

#graphique {
    background-color: white;
    width: 67%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#separator {
    background-color: darkgray;
    width: 10px; 
    height: 100%;
    cursor: ew-resize;
    z-index: 10; 
}

#toolbar {
    width: 100%;
    height: 25px;
    background-color: lightblue;
    display: flex;
    align-items: center;
    padding-left: 10px;
}

button {
    padding: 0;
    margin-right: 10px;
    background-color: transparent;
    border: none;
    cursor: pointer;
}

button img {
    width: 24px;
    height: 24px;
    display: block;
}


.minimized {
    width: 15px !important;
}

.minimized .content {
    visibility: hidden;
}

/* Désactiver les transitions temporairement */
.no-transition {
    transition: none !important;
}


table {
    width: 100%;
    border-collapse: collapse;
    text-align: left;
}

th, td {
    padding: 8px;
    border: 1px solid black;
}

thead th {
    background-color: darkgray;
    font-weight: bold;
}

td[contentEditable] {
    background-color: white;
}




#tableau {
    width: 33%;
    overflow-y: auto;
}

#tableau .content {
    height: auto;
    display: block;
}

#tableau table {
    width: 100%;
    border-collapse: collapse;
}

#tableau th, #tableau td {
    border: 1px solid black;
    padding: 8px;
    text-align: left;
}


#main {
    display: flex;
    height: calc(100vh - 25px); /* tenir compte de la toolbar */
}

#tableau, #graphique {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    height: 100%;
}

.panel {
    min-width: 15px;
    position: relative;
    overflow: hidden; 
}

.minimized .content {
    display: none; 
}

#separator {
    width: 5px;
    cursor: ew-resize;
    background-color: #ddd;
}

#toolbar {
    height: 25px;
    background-color: lightblue;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

#toolbar button {
    width: 24px;
    height: 24px;
    margin-left: 5px;
    background: none;
    border: none;
    cursor: pointer;
}

#toolbar button img {
    width: 100%;
    height: 100%;
}

/* ////////////////////////////////////////////////////// */

#toolbar {
    height: 25px;
    background-color: lightblue;
    display: flex;
    align-items: center;
    justify-content: flex-start;
}

#toolbar button {
    width: 24px;
    height: 24px;
    margin-left: 5px;
    background: none;
    border: none;
    cursor: pointer;
}

#toolbar button img {
    width: 100%;
    height: 100%;
}

#main {
    display: flex;
    height: calc(100vh - 25px);
}

#tableau, #graphique {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    height: 100%;
}

.panel {
    min-width: 15px;
    position: relative;
    overflow: hidden;
}

#tableau {
    width: 33%;
    overflow-y: auto;
}

#tableau .content {
    display: block;
}

#graphique {
    width: 67%;
    overflow: hidden;
}

#separator {
    width: 5px;
    cursor: ew-resize;
    background-color: #ddd;
    position: relative;
}

#tableau table {
    width: 100%;
    border-collapse: collapse;
}

#tableau th, #tableau td {
    border: 1px solid black;
    padding: 8px;
    text-align: left;
}

#tableau th {
    background-color: #f2f2f2;
}

#tableau td {
    contentEditable: true;
}

.panel {
    transition: width 0.3s ease;
}

.no-transition .panel {
    transition: none;
}

#graphique {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

#myChart {
    max-width: 100%;
    max-height: 100%;
    width: auto;
    height: auto;
}

.del-column, .ins-column {
    border: none !important;     
    padding-left: 2px !important;       
    background: transparent; 
    /* width: 15px;    */  
}

.ins-column img {
    transform: translateY(70%); /* décale vers le bas pour aligner flèche rouge*/
}
